
extends Node2D

func _ready():
	show_tips()
	
func show_tips():
	var key_1
	var key_2
	key_1 = OS.get_scancode_string(InputMap.get_action_list(global.input_map[0])[0].scancode)
	key_2 = OS.get_scancode_string(InputMap.get_action_list(global.input_map[1])[0].scancode)
	get_node("label_1").set_text('press "' + key_1 + '" and "' + key_2 + '" to walk')
	key_1 = OS.get_scancode_string(InputMap.get_action_list(global.input_map[2])[0].scancode)
	key_2 = OS.get_scancode_string(InputMap.get_action_list(global.input_map[2])[1].scancode)
	get_node("label_3").set_text('press "' + key_1 + '" or "' + key_2 +  '" to jump')
	get_node("label_4").set_text('press Э"' + key_1 + '" or "' + key_2 +  '" twice to perform a double jump')
	key_1 = OS.get_scancode_string(InputMap.get_action_list(global.input_map[3])[0].scancode)
	get_node("label_5").set_text('hold Э"' + key_1 + '" to run')
	key_1 = ""
	key_2 = ""
